com.google.zxing.aztec

## Class AztecWriter

- java.lang.Object
- - com.google.zxing.aztec.AztecWriter

- All Implemented Interfaces:
    Writer

      public final class AztecWriter
      extends Object
      implements Writer

  Renders an Aztec code as a `BitMatrix`.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AztecWriter()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `BitMatrix` | `encode(String contents, BarcodeFormat format, int width, int height)` Encode a barcode using the default settings.
    `BitMatrix` | `encode(String contents, BarcodeFormat format, int width, int height, Map<EncodeHintType,?> hints)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AztecWriter

          public AztecWriter()

  - ### Method Detail

    - #### encode

          public BitMatrix encode(String contents,
                                  BarcodeFormat format,
                                  int width,
                                  int height)

      Description copied from interface: `Writer`
      Encode a barcode using the default settings.
      Specified by:
        `encode` in interface `Writer`
      Parameters:
        `contents` - The contents to encode in the barcode
        `format` - The barcode format to generate
        `width` - The preferred width in pixels
        `height` - The preferred height in pixels
      Returns:
        `BitMatrix` representing encoded barcode image

    - #### encode

          public BitMatrix encode(String contents,
                                  BarcodeFormat format,
                                  int width,
                                  int height,
                                  Map<EncodeHintType,?> hints)

      Specified by:
        `encode` in interface `Writer`
      Parameters:
        `contents` - The contents to encode in the barcode
        `format` - The barcode format to generate
        `width` - The preferred width in pixels
        `height` - The preferred height in pixels
        `hints` - Additional parameters to supply to the encoder
      Returns:
        `BitMatrix` representing encoded barcode image

Copyright © 2007–2018. All rights reserved.